Load an agent’s starting context.
curl --request POST \
--url https://api.reload.chat/v1/sdk/bootstrap-context \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"agent_identity_id": "<string>",
"scope_id": "<string>"
}
'import requests
url = "https://api.reload.chat/v1/sdk/bootstrap-context"
payload = {
"agent_identity_id": "<string>",
"scope_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({agent_identity_id: '<string>', scope_id: '<string>'})
};
fetch('https://api.reload.chat/v1/sdk/bootstrap-context', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"current_decisions": [
{
"id": "<string>",
"org_id": "<string>",
"content": "<string>",
"confidence": 123,
"version": 123,
"ttl_seconds": 123,
"created_at": "2023-11-07T05:31:56Z",
"last_reinforced_at": "2023-11-07T05:31:56Z",
"expires_at": "2023-11-07T05:31:56Z",
"invalidated_at": "2023-11-07T05:31:56Z",
"invalidated_by": "<string>",
"invalidated_reason": "<string>",
"content_hash": "<string>",
"metadata": {}
}
],
"active_constraints": [
{
"id": "<string>",
"org_id": "<string>",
"content": "<string>",
"confidence": 123,
"version": 123,
"ttl_seconds": 123,
"created_at": "2023-11-07T05:31:56Z",
"last_reinforced_at": "2023-11-07T05:31:56Z",
"expires_at": "2023-11-07T05:31:56Z",
"invalidated_at": "2023-11-07T05:31:56Z",
"invalidated_by": "<string>",
"invalidated_reason": "<string>",
"content_hash": "<string>",
"metadata": {}
}
],
"open_questions": [
{
"id": "<string>",
"org_id": "<string>",
"content": "<string>",
"confidence": 123,
"version": 123,
"ttl_seconds": 123,
"created_at": "2023-11-07T05:31:56Z",
"last_reinforced_at": "2023-11-07T05:31:56Z",
"expires_at": "2023-11-07T05:31:56Z",
"invalidated_at": "2023-11-07T05:31:56Z",
"invalidated_by": "<string>",
"invalidated_reason": "<string>",
"content_hash": "<string>",
"metadata": {}
}
],
"scope_membership": [
{
"id": "<string>",
"org_id": "<string>",
"name": "<string>"
}
],
"recent_activity": "<string>"
},
"meta": {
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"pagination": {
"hasMore": true,
"cursor": "<string>",
"total": 123,
"historyCutoff": {
"beyondCount": 123,
"cutoffAt": "2023-11-07T05:31:56Z"
}
}
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"retryable": true,
"suggestion": "<string>",
"docs": "<string>"
},
"meta": {
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"pagination": {
"hasMore": true,
"cursor": "<string>",
"total": 123,
"historyCutoff": {
"beyondCount": 123,
"cutoffAt": "2023-11-07T05:31:56Z"
}
}
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"retryable": true,
"suggestion": "<string>",
"docs": "<string>"
},
"meta": {
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"pagination": {
"hasMore": true,
"cursor": "<string>",
"total": 123,
"historyCutoff": {
"beyondCount": 123,
"cutoffAt": "2023-11-07T05:31:56Z"
}
}
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"retryable": true,
"suggestion": "<string>",
"docs": "<string>"
},
"meta": {
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"pagination": {
"hasMore": true,
"cursor": "<string>",
"total": 123,
"historyCutoff": {
"beyondCount": 123,
"cutoffAt": "2023-11-07T05:31:56Z"
}
}
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"retryable": true,
"suggestion": "<string>",
"docs": "<string>"
},
"meta": {
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"pagination": {
"hasMore": true,
"cursor": "<string>",
"total": 123,
"historyCutoff": {
"beyondCount": 123,
"cutoffAt": "2023-11-07T05:31:56Z"
}
}
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"retryable": true,
"suggestion": "<string>",
"docs": "<string>"
},
"meta": {
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"pagination": {
"hasMore": true,
"cursor": "<string>",
"total": 123,
"historyCutoff": {
"beyondCount": 123,
"cutoffAt": "2023-11-07T05:31:56Z"
}
}
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"retryable": true,
"suggestion": "<string>",
"docs": "<string>"
},
"meta": {
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"pagination": {
"hasMore": true,
"cursor": "<string>",
"total": 123,
"historyCutoff": {
"beyondCount": 123,
"cutoffAt": "2023-11-07T05:31:56Z"
}
}
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"retryable": true,
"suggestion": "<string>",
"docs": "<string>"
},
"meta": {
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"pagination": {
"hasMore": true,
"cursor": "<string>",
"total": 123,
"historyCutoff": {
"beyondCount": 123,
"cutoffAt": "2023-11-07T05:31:56Z"
}
}
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"retryable": true,
"suggestion": "<string>",
"docs": "<string>"
},
"meta": {
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"pagination": {
"hasMore": true,
"cursor": "<string>",
"total": 123,
"historyCutoff": {
"beyondCount": 123,
"cutoffAt": "2023-11-07T05:31:56Z"
}
}
}
}Load an agent’s starting context.
Return the current decisions, active constraints, open questions, scope membership, and a recent-activity summary for an agent identity — the orientation payload an agent loads at the start of a session.
POST
/
v1
/
sdk
/
bootstrap-context
Load an agent’s starting context.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
⌘I

